package com.uas.search.console.b2b.model;

import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Table(name = "sale$tenderitem")
@Entity
public class SaleTenderItemSimpleInfo {

	@Id
	@Column(name = "sti_id")
	private Long id;

	/**
	 * 投标单主表
	 */
	@ManyToOne(cascade = { CascadeType.REFRESH })
	@JoinColumn(name = "sti_stid", insertable = false, updatable = false)
	private SaleTenderSimpleInfo saleTender;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public SaleTenderSimpleInfo getSaleTender() {
		return saleTender;
	}

	public void setSaleTender(SaleTenderSimpleInfo saleTender) {
		this.saleTender = saleTender;
	}

	@Override
	public String toString() {
		return "SaleTenderItemSimpleInfo [id=" + id + ", saleTender=" + saleTender + "]";
	}



}
